from parallels.core.utils.entity import Entity


class Note(Entity):
    def __init__(self, note_id, text):
        self._note_id = note_id
        self._text = text

    @property
    def note_id(self):
        """
        :rtype: str | unicode
        """
        return self._note_id

    @property
    def text(self):
        """
        :rtype: str | unicode
        """
        return self._text
